Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class User

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v3.User

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:00:30+01:00",
               comments="JAXB RI v2.2.11")
    public class User

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<urn:be:fgov:ehealth:ehbox:core:v3>INSSType">
           <attribute name="FirstName" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <minLength value="1"/>
                 <maxLength value="100"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="LastName" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <minLength value="1"/>
                 <maxLength value="100"/>
               </restriction>
             </simpleType>
           </attribute>
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`User()`

Method Summary
`String` | `getFirstName()` Gets the value of the firstName property.
`String` | `getLastName()` Gets the value of the lastName property.
`String` | `getValue()` Social Security Number
`void` | `setFirstName(String value)` Sets the value of the firstName property.
`void` | `setLastName(String value)` Sets the value of the lastName property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### User

    public User()

Method Detail

### getValue

    public String getValue()

  Social Security Number

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getFirstName

    public String getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `String`

### setFirstName

    public void setFirstName(String value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `String`

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.